aboutsummaryrefslogtreecommitdiffstats
path: root/resources/tools/disk-image-builder/ubuntu/build-listmaker.sh
diff options
context:
space:
mode:
authorpmikus <pmikus@cisco.com>2016-10-07 13:00:53 +0100
committerDave Wallace <dwallacelf@gmail.com>2016-10-13 16:31:44 +0000
commit909f20348b5aac1207678d1c0af8bbfa50f716c6 (patch)
tree86e9661646eccd9a756b9af905d541f097512f56 /resources/tools/disk-image-builder/ubuntu/build-listmaker.sh
parent6b97e58d8c32773c6be8eabc770c67b4e8154451 (diff)
Update VIRL images to 16.04.1
Change-Id: I93e8b5e977e974cda9ea4ebab327b59f9afd2fd0 Signed-off-by: pmikus <pmikus@cisco.com>
Diffstat (limited to 'resources/tools/disk-image-builder/ubuntu/build-listmaker.sh')
-rwxr-xr-xresources/tools/disk-image-builder/ubuntu/build-listmaker.sh15
1 files changed, 13 insertions, 2 deletions
diff --git a/resources/tools/disk-image-builder/ubuntu/build-listmaker.sh b/resources/tools/disk-image-builder/ubuntu/build-listmaker.sh
index 59b44e5a19..511499512c 100755
--- a/resources/tools/disk-image-builder/ubuntu/build-listmaker.sh
+++ b/resources/tools/disk-image-builder/ubuntu/build-listmaker.sh
@@ -20,8 +20,19 @@ BUILD_DIR="$(pwd)/build"
PACKER_DIR="${BUILD_DIR}/packer"
OUT_DIR="${BUILD_DIR}/output/listmaker"
-RELEASE_NAME="csit-ubuntu-14.04.4-listmaker"
-PACKER_TEMPLATE="listmaker/ubuntu-14.04.4.json"
+if [ "$1" == "ubuntu-14.04.4" ]
+then
+ RELEASE_NAME="csit-ubuntu-14.04.4-listmaker"
+ PACKER_TEMPLATE="listmaker/ubuntu-14.04.4.json"
+elif [ "$1" == "ubuntu-16.04.1" ]
+then
+ RELEASE_NAME="csit-ubuntu-16.04.1-listmaker"
+ PACKER_TEMPLATE="listmaker/ubuntu-16.04.1.json"
+else
+ echo "Please provide OS as parameter:"
+ echo "Options: ${0} [ubuntu-14.04.4|ubuntu-16.04.1]"
+ exit 1
+fi
VIRL_IMAGE_SUBTYPE=server
VIRL_IMAGE_NAME="${RELEASE_NAME}"